### Function

# AppStream get_default_categories

#### Declaration [src]

    GPtrArray*
    as_get_default_categories (
      gboolean with_special
    )

#### Description [src]

Get a list of the default Freedesktop and AppStream categories that software components (especially GUI applications) can be sorted into in software centers.

This function is not directly available to language bindings.

The implementation of this function is provided by `as_get_default_categories_gi()` in language bindings.

#### Parameters

`with_special`

  Type: `gboolean`

  Include special categories (e.g. “addons”, and “all”/”featured” in submenus).

#### Return value

Type: An array of `AsCategory*`

A list of `AsCategory`.

The caller of the function takes ownership of the data container, but not the data inside it.